Skip to content

list

POST
/public/webhook/list

List webhooks for the team (team API key).

object
active

Filter by active status

boolean
page

The page number (1-indexed). Defaults to 1. Each page contains up to 50 results.

integer
default: 1 >= 1 <= 9007199254740991
limit

The number of results per page. Defaults to 50, maximum is 50.

integer
default: 50 >= 1 <= 50

Default Response

object
webhooks
required
Array<object>
object
uuid
required

The UUID of the webhook

string
title
required
Any of:
string
active
required

Whether the webhook is active

boolean
sslVerify
required

Whether SSL verification is enabled

boolean
contentType
required

The content type for the webhook

string
events
required
Any of:
Array<string>
workspaceUuids
required
Any of:
Array<string>
creationDate
required

Creation timestamp

number
updateDate
required

Update timestamp

number
pagination
required
object
totalRecords
required

The total number of items matching the filters.

integer
<= 9007199254740991
currentPage
required

The page number that was requested (1-indexed).

integer
>= 1 <= 9007199254740991
totalPages
required

The total number of pages. Equals ceil(totalRecords / limit), or 1 when totalRecords is 0.

integer
>= 1 <= 9007199254740991
nextPage
required
Any of:
integer
>= 1 <= 9007199254740991
prevPage
required
Any of:
integer
>= 1 <= 9007199254740991

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHENTICATION_ERROR TUNNEL_ERROR TUNNEL_SESSION_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHORIZATION_ERROR FEATURE_NOT_IN_CURRENT_PLAN INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: INTERNAL_SERVER_ERROR INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string